Subject: Re: Wildflower Seed Source

From: [email-masked] (MMA)
Date: 5 Jun 1995 10:21:06 -0400

The Vermont Wildflower Farm (P.O. Box 5, Route 7, Charlotte, VT 05440,
(802) 425-3931) has lots of different seeds available. They also have six
different regional mixes available in quantities of one ounce to 10
pounds. The mixes are half and half perennials and annuals. There is also
a 30 minute "how-to" video for meadows. The mixtures do contain some
aliens, but it is also possible to make your own mix if you prefer.

Missy Allemang                   [email-masked]
Butternut Ski Repair           Gt. Barrington, MA
     (Where the tornado went thru and did lots of damage. The buildings
are okay, but unfortunately huge numbers of trees are down and there is
large $ damage to the lifts.)
Ski Mechanics Workshop       Underhill Center, VT